# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LoadWriterJPG Class Reference

The LoadWriterJPG class is a ResourceLoadWriter capable of reading JPG files. More...

`#include <ioJPG.hpp>`

Inheritance diagram for vl::LoadWriterJPG:

List of all members.

## Public Member Functions

| LoadWriterJPG ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const
int | quality () const
void | setQuality (int quality)
| Sets the quality level used when saving a file. Must be between 0 and 100.

## Protected Attributes

int | mQuality

## Detailed Description

The LoadWriterJPG class is a ResourceLoadWriter capable of reading JPG files.

Definition at line 58 of file ioJPG.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterJPG::LoadWriterJPG | ( | ) | `[inline]`

Definition at line 63 of file ioJPG.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriterJPG::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 68 of file ioJPG.hpp.

References vl::loadJPG().

ref<ResourceDatabase> vl::LoadWriterJPG::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 77 of file ioJPG.hpp.

References vl::loadJPG().

bool vl::LoadWriterJPG::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 86 of file ioJPG.hpp.

References vl::ResourceDatabase::count(), vl::ResourceDatabase::get(), quality(), and vl::saveJPG().

bool vl::LoadWriterJPG::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource
| ) |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 94 of file ioJPG.hpp.

References vl::ResourceDatabase::count(), vl::ResourceDatabase::get(), quality(), and vl::saveJPG().

int vl::LoadWriterJPG::quality | ( | ) | const`[inline]`

Definition at line 102 of file ioJPG.hpp.

References mQuality.

Referenced by setQuality(), and writeResource().

void vl::LoadWriterJPG::setQuality | ( | int | quality ) | `[inline]`

Sets the quality level used when saving a file. Must be between 0 and 100.

Definition at line 104 of file ioJPG.hpp.

References mQuality, and quality().

## Member Data Documentation

int vl::LoadWriterJPG::mQuality`[protected]`

Definition at line 107 of file ioJPG.hpp.

Referenced by quality(), and setQuality().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/plugins/ioJPG.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:14.
Permission is granted to use this page to write and publish articles regarding Visualization Library.